직접 전송으로 그룹 및 프로젝트 마이그레이션 API
REST API로 그룹 및 프로젝트 마이그레이션을 시작하고 조회하는 방법을 설명합니다.
이 API를 사용하여 직접 전송 으로 그룹 및 프로젝트를 마이그레이션합니다. 사전 요구사항: 직접 전송으로 그룹 마이그레이션 사전 요구사항 을 참조하세요. 그룹 또는 프로젝트 마이그레이션 시작 # 새 그룹 또는 프로젝트 마이그레이션을 시작합니다. 프로젝트를 마이그레이션하려면 entities[project_entity] 를 지정합니다. POST /bulk_imports 속성 유형 필수 설명 configuration Hash 예 소스 GitLab 인스턴스 구성. configuration[url] String 예 소스 GitLab 인스턴스 URL. configuration[access_token] String 예 소스 GitLab 인스턴스에 대한 액세스 토큰. entities Array 예 가져올 엔티티 목록. entities[source_type] String 예 소스 엔티티 유형. 유효한 값은 group_entity 및 project_entity 입니다. entities[source_full_path] String 예 가져올 엔티티의 소스 전체 경로. 예: gitlab-org/gitlab . entities[destination_slug] String 예 엔티티의 대상 슬러그. GitLab은 슬러그를 엔티티의 URL 경로로 사용합니다. 가져온 엔티티의 이름은 슬러그가 아닌 소스 엔티티의 이름에서 복사됩니다. entities[destination_namespace] String 예 엔티티의 대상 그룹 네임스페이스 전체 경로. project_entity 의 경우 이 값은 대상 인스턴스의 기존 그룹이어야 합니다. group_entity 의 경우 이 값은 대상 인스턴스의 기존 그룹이거나 대상 인스턴스(GitLab Self-Managed 및 GitLab Dedicated)에서 최상위 그룹을 생성하는 빈 문자열 "" 일 수 있습니다. 개인 네임스페이스는 지원되지 않습니다. entities[destination_name] String 아니오 더 이상 사용되지 않음: 대신 destination_slug 를 사용하세요. 엔티티의 대상 슬러그. entities[migrate_memberships] Boolean 아니오 사용자 멤버십 가져오기. 기본값은 true . entities[migrate_projects] Boolean 아니오 그룹의 중첩된 프로젝트도 가져오기( source_type 이 group_entity 인 경우). 기본값은 true . curl --request POST \ --url "https://destination-gitlab-instance.example.com/api/v4/bulk_imports" \ --header "PRIVATE-TOKEN: <your_access_token_for_destination_gitlab_instance>" \ --header "Content-Type: application/json" \ --data '{ "configuration": { "url": "https://source-gitlab-i
